package com.zipcode.wilmington.beanjawn;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.stream.StreamSupport;

public abstract class People<PersonType extends Person> implements Iterable<PersonType> {

    private ArrayList<PersonType> personList;

    public People() {
        this.personList = new ArrayList<>();
    }


    public People(ArrayList<PersonType> ptList) {
        this.personList = ptList;
    }

    public void add(PersonType pt) {
        personList.add(pt);
    }

    public void remove(PersonType pt) {
        personList.remove(pt);
    }

    public Integer size() {
        return personList.size();
    }

    public void clear() {
        personList.clear();
    }

    public void addAll(Iterable<PersonType> ptIterable) {
        ptIterable.forEach(personList::add);


    }

    public PersonType findById(long id) {
            for (PersonType pt : personList){
                if (pt.getId() == id){
                    return pt;
                }
            }
        return null;

    }

    public ArrayList<PersonType> findAll(){
        return this.personList;
    }


}
